: Class DigestAuthPrincipal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class DigestAuthPrincipal

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.HTTPPrincipal
            |
            +--org.w3c.jigsaw.acl.DigestAuthPrincipal

public class DigestAuthPrincipal
extends HTTPPrincipal

Fields inherited from class org.w3c.jigsaw.acl.HTTPPrincipal
`request`

Constructor Summary
`DigestAuthPrincipal(Request request)`
`DigestAuthPrincipal(Request request, java.lang.String nonce, java.lang.String old_nonce, java.lang.String algo)`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`boolean` | `isStale()`
`java.lang.String` | `toString()`

Methods inherited from class org.w3c.jigsaw.acl.HTTPPrincipal
`getInetAddress, getRealm, getRequest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigestAuthPrincipal

    public DigestAuthPrincipal(Request request,
                               java.lang.String nonce,
                               java.lang.String old_nonce,
                               java.lang.String algo)
                        throws InvalidAuthException

### DigestAuthPrincipal

    public DigestAuthPrincipal(Request request)
                        throws InvalidAuthException

Method Detail

### isStale

    public boolean isStale()

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    equals in class HTTPPrincipal

### toString

    public java.lang.String toString()

  Overrides:
    toString in class HTTPPrincipal

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getName

    public java.lang.String getName()

  Overrides:
    getName in class HTTPPrincipal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD